<?php
/*
  osCommerce, Open Source E-Commerce Solutions 
http://www.oscommerce.com 

Copyright (c) 2003 osCommerce 

osCommRes, Services Oline 
http://www.oscommres.com 
Copyright (c) 2005 osCommRes 

Freeway eCommerce 
http://www.zac-ware.com/freeway 
Copyright (c) 2007 ZacWare 

Released under the GNU General Public License
*/
// Check to ensure this file is included in Freeway!
defined('_FEXEC') or die();
//<td width="{{INITIAL_WIDTH}}"></td><td class="{{CLASS}}">{{ICON}}<a href={{LINK_1}}>{{NAME}}</a></td>

	$template_html=$MASTER_BOX_HTML;
	function tep_show_category($counter) {
		global $foo, $categories_string, $id,$template_html,$BOX_CONTENT_ICON,$INITIAL_WIDTH;
		$count++;
	
		if ($foo[$counter]['parent'] == 0) {
		  $cPath_new = 'cPath=' . $counter;
		} else {
		  $cPath_new = 'cPath=' . $foo[$counter]['path'];
		}

		$replace_string=$template_html;
		$replace_array["SPACE_WIDTH"]=($foo[$counter]['level']+1)*10;
		$replace_array["SPACER"]=$replace_array["SPACE_WIDTH"];
		$replace_array["NAME"]=$foo[$counter]['name'];
		$replace_array["ICON"]=$BOX_CONTENT_ICON;
		$replace_array["LINK_1"]=tep_href_link(FILENAME_DEFAULT,$cPath_new);
		$replace_array["INITIAL_WIDTH"]=$INITIAL_WIDTH;
		
		if(sizeof($id)>0)$selected[0] = $id[sizeof($id)-1];
		else $selected[0] = "";
		if ($id && in_array($counter, $selected)) {
			$replace_array["CLASS"]="infoBoxNavigationSelect";
		}else{
			if ($foo[$counter]['parent'] != 0) {
				$replace_array["CLASS"]="infoBoxNavigationSub";
			} else {
				$replace_array["CLASS"]="infoBoxNavigation";
			}
		}
		reset($replace_array);		
		while(list($key,)=each($replace_array)){
			$replace_string=str_replace("{{" . $key . "}}",$replace_array[$key],$replace_string);
		}
		$categories_string.=$replace_string;
		
		if ($foo[$counter]['next_id']) {
			tep_show_category($foo[$counter]['next_id']);
		}
  }
if(HIDE_FROM_BACKEND_MENU_PRODUCTS=='false'){
?>
<!-- categories //-->
<tr>
	<td>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td>
				<?php
					if(!defined('BOX_HEADING_CATEGORIES'))define('BOX_HEADING_CATEGORIES', 'Products');
					$info_box_contents = array();
					$info_box_contents[] = array('align' => 'left',
												'text'  => BOX_HEADING_CATEGORIES);
					new infoBoxHeading($info_box_contents, true, true);
					
					$categories_string = '';
	
					$categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.parent_id = '0' and c.categories_id = cd.categories_id and cd.language_id='" . $languages_id ."' order by sort_order, cd.categories_name");
					while ($categories = tep_db_fetch_array($categories_query))  {
						$foo[$categories['categories_id']] = array(
														'name' => $categories['categories_name'],
														'parent' => $categories['parent_id'],
														'level' => 0,
														'path' => $categories['categories_id'],
														'next_id' => false
													   );
						
						if (isset($prev_id)) {
							$foo[$prev_id]['next_id'] = $categories['categories_id'];
						}
						
						$prev_id = $categories['categories_id'];
						
						if (!isset($first_element)) {
							$first_element = $categories['categories_id'];
						}
					}

					//------------------------
					if ($cPath) {
						$id = split('_', $cPath);
						reset($id);
						while (list($key, $value) = each($id)) {
							$new_path .= $value;
							unset($prev_id);
							unset($first_id);
							$categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.parent_id = '" . $value . "' and c.categories_id = cd.categories_id and cd.language_id='" . $languages_id ."' order by sort_order, cd.categories_name");
							$category_check = tep_db_num_rows($categories_query);
							while ($row = tep_db_fetch_array($categories_query)) {
								$foo[$row['categories_id']] = array(
								'name' => $row['categories_name'],
								'parent' => $row['parent_id'],
								'level' => $key+1,
								'path' => $new_path . '_' . $row['categories_id'],
								'next_id' => false
								);
								
								if (isset($prev_id)) {
								$foo[$prev_id]['next_id'] = $row['categories_id'];
								}
								
								$prev_id = $row['categories_id'];
								
								if (!isset($first_id)) {
								$first_id = $row['categories_id'];
								}
								
								$last_id = $row['categories_id'];
							}
							if ($category_check != 0) {
								$foo[$last_id]['next_id'] = $foo[$value]['next_id'];
								$foo[$value]['next_id'] = $first_id;
							}
							
							$new_path .= '_';
						}
					}
					tep_show_category($first_element,$count);

					$temp_see=100;
					$info_box_contents = array();
					$info_box_contents[] = array('align' => 'left',
											   'text'  => '<table border="0" cellpadding="0" cellspacing="0" width="100%">' . $categories_string . '</table>'
											  );
					new infobox($info_box_contents);
					
					$info_box_contents = array();
					$info_box_contents[] = array('align' => 'left',
												'text'  => tep_draw_separator('pixel_trans.gif', '100%', '1')
											  );
					new infoboxFooter($info_box_contents, true, true);
				?>
			</td>
		</tr>
	</table>
	</td>
</tr>
<?PHP }?>
<!-- categories_eof //-->
